<project name="myspace" basedir="." default="help">
    <property name="javac.classpath" value="build/classes; 
                                            lib/myspace.jar;
                                            /icc/tools/jetstream/lib" />
    <property name="target.dir" value="build/classes"/>
    <property name="axis2.home"    value="/icc/tools/axis2"/>

    <path id="axis2.class.path">
        <pathelement path="${java.class.path}"/>
        <fileset dir="${axis2.home}">
            <include name="lib/*.jar"/>
        </fileset>
    </path>

    <property name="axis.classpath" refid="axis2.class.path"/>

    <target name="build">
        <mkdir dir="${target.dir}"/>
        <javac srcdir="src/com"
               deprecation="on" 
               debug="true"
               debuglevel="lines,source"
               destdir="${target.dir}"
               classpath="${javac.classpath}">
            <include name="icc/**" />
            <classpath refid="axis2.class.path"/>
        </javac>
    </target>

    <target name="clean">
        <delete dir="build"/>
    </target>

    <target name="war" depends="build" description="Builds all code and creates the WAR file for the servlet">
        <war destfile="build/myspace.war" webxml="web.xml" >
            <classes dir="build/classes" />
            <lib dir="lib" excludes="**/servlet-api.jar"/>
            <lib file="/icc/tools/jetstream/build/jetstream.jar" />
            <lib dir="/icc/tools/jetstream/lib"  excludes="**/servlet-api.jar"/>
            <lib dir="${axis2.home}/lib">
                <include name="*.jar"/>
            </lib>
        </war>
    </target>
    
    <target name="deploy" depends="war" description="Builds the WAR and copies it Tomcat's webapps directory">
        <copy file="build/myspace.war" todir="/usr/local/tomcat/webapps"/>
    </target>

    <target name="help">
        <echo>
            Use "ant war" to build the example.
            Try "ant -p" to show what other targets exist.
        </echo>
    </target>

</project>
